Description

I am using Understanding Society data to do some analysis of patterns of worklessness within families. I have a query that I would be

really grateful if you could help with. I have searched previous similar queries but haven't been able to find the answer.

I have come across some data patterns in the variable named f_nmpsp_dv in the f_indresp file that I don't understand and was

wondering if you could clarify.

The help information on the study website states that this variable gives the 'Number of employment spells since last interview.

Counts the number of times respondent’s employment status was “in paid employment”'. It provides variables that it is based on:

F_NEXTSTAT1 F_NEXTSTAT2 F_NEXTSTAT3 F_NEXTSTAT4 F_NEXTSTAT5 F_NEXTSTAT6 F_NEXTSTAT7 F_NEXTSTAT8

F_EMPCHK F_FF_JBSTAT F_FF_EMPLW F_JBSTAT F_EMPL F_FF_IVLOLW F_IVFIO.

However I have found cases in the data set where I can't see how the value for this derived variable is reached. For example the

case with pidp 139883485 is listed in variable f_nmpsp_dv as having one employment spell since the last interview, but also the

following

Current employment status (f_jbstat): family care or home

Currently in paid employment (f_employ): no

Respondent employment status at previous interview: unemployed

Whether in paid employment at previous interview: not in paid employment

Previous wave employed status check: inapplicable

Spells of employment (f_nextstat1 to f_nextstat7): all inapplicable

The only thing I can see from this is that there has been a change of employment status from 'unemployed' at the previous interview

to 'family care or home' at the current interview. But there doesn't appear to have been any paid employment at either interview or in

between so I'm not clear how the number of employment spells can be equal to one. There seem to be quite a few similar cases.

Many thanks,

Gwyther Rees

History

#1 - 08/04/2017 04:20 PM - Stephanie Auty

- Category set to Derived variables

- Status changed from New to In Progress

- Assignee set to Gundi Knies

- Target version set to M6

Many thanks for your enquiry. The Understanding Society team is looking into it and we will get back to you as soon as we can.

Please note that as your enquiry discloses information which identifies participants, it cannot be published on the user forum and will remain Private,

which means you will not be able to see it on the forum unless you log in.

Due to the time of year and the nature of your query, our response may take a little longer than usual.

Best wishes,

Stephanie Auty - Understanding Society User Support Officer

#2 - 08/04/2017 04:20 PM - Stephanie Auty

- % Done changed from 0 to 10
#3 - 08/14/2017 05:51 PM - Gundi Knies

- Assignee changed from Gundi Knies to Gwyther Rees

- % Done changed from 10 to 50

Dear Gwyther,

thank you for pointing out this inconsistency. Stephanie and I have now gone through the programme to derive the number of employment spells for

the problematic case you mentioned (really useful!). It turns out a line of code from counting the number of non-employment spells had been included

also in the programme for counting employment spells. Obviously, it cannot be correct for both counts! We have edited out this wrong line of code for

the next release data (which is planned for November).

You can "undo the error" by reversing the following code:

*recode ${wave}nmpsp_dv (0=1) if ${wave}ff_jbstat==2 & ${wave}ff_emplw==2 & ${wave}jbstat==4

It leads to just over 2000 recodes in W6 - is that the number you found ? (other waves are also affected as the code applies to all waves from wave 2

up).

Best wishes,

Gundi & Stephanie

#4 - 08/14/2017 05:55 PM - Gundi Knies

I should have said that we have recoded jbstat 4/97=4. So you need to reverse

*recode ${wave}nmpsp_dv (0=1) if ${wave}ff_jbstat==2 & ${wave}ff_emplw==2 & ${wave}jbstat>=4 & ${wave}jbstat<=97.

#5 - 08/18/2017 04:36 PM - Stephanie Auty

- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

---------- Forwarded message ----------

From: Gwyther Rees <gwyther.rees@york.ac.uk>

Date: Thu, Aug 17, 2017 at 10:22 AM

Subject: Re: [Understanding Society User Support - Support #830] Spells of employment

To: Understanding Society <info@understandingsociety.ac.uk>

Dear Gundi & Stephanie,

Thank you very much for that information and for the code to rectify it. That all makes sense and is really helpful. I am very grateful for your quick

reply.

Many thanks,

Gwyther

#6 - 09/05/2017 11:24 AM - Stephanie Auty

- Status changed from Resolved to Closed

#7 - 02/19/2026 06:00 PM - Understanding Society  User Support Team

- Status changed from Closed to Resolved

- Assignee changed from Gwyther Rees to Understanding Society  User Support Team

- Private changed from Yes to No
